StarWriterStruct::Macro Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarWriterStruct::Macro Struct Reference

structure to store a macro in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions
| Macro ()
| constructor More...
bool | read (StarZone &zone)
| try to read a macro: 'm' More...

## Static Public Member Functions
static bool | readList (StarZone &zone, std::vector< Macro > &macroLis)
| try to read a list of macro: 'M' More...

## Public Attributes
int | m_key
| the key More...
librevenge::RVNGString | m_names [2]
| the names More...
int | m_scriptType
| the scriptType More...

## Friends
std::ostream & | operator<< (std::ostream &o, Macro const &macro)
| operator<< More...

## Detailed Description

structure to store a macro in a text zone

## Constructor & Destructor Documentation

## ◆ Macro()

StarWriterStruct::Macro::Macro | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ read()

bool StarWriterStruct::Macro::read | ( | StarZone & | zone | ) |

try to read a macro: 'm'

Referenced by readList().

## ◆ readList()

bool StarWriterStruct::Macro::readList | ( | StarZone & | zone,
|  | std::vector< Macro > & | macroLis
| ) |  |
| static

try to read a list of macro: 'M'

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Macro const & | macro
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_key

int StarWriterStruct::Macro::m_key

the key

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_names

librevenge::RVNGString StarWriterStruct::Macro::m_names[2]

the names

Referenced by StarWriterStruct::operator<<(), and read().

## ◆ m_scriptType

int StarWriterStruct::Macro::m_scriptType

the scriptType

Referenced by StarWriterStruct::operator<<(), and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx